org.springframework.expression

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.expression.ExpressionException
        - - org.springframework.expression.ParseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SpelParseException

    public class ParseException
    extends ExpressionException

Represent an exception that occurs during expression parsing.

Since:
  3.0
Author:
  Andy Clement
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.springframework.expression.ExpressionException

`expressionString, position`

### Constructor Summary

Constructors
Constructor and Description
`ParseException(int position, String message)` Creates a new expression parsing exception.
`ParseException(int position, String message, Throwable cause)` Creates a new expression parsing exception.
`ParseException(String expressionString, int position, String message)` Creates a new expression parsing exception.

### Method Summary

### Methods inherited from class org.springframework.expression.ExpressionException

`getExpressionString, getPosition, toDetailedString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException(String expressionString,
                  int position,
                  String message)

Creates a new expression parsing exception.

Parameters:
  `expressionString` - the expression string that could not be parsed
  `position` - the position in the expression string where the problem occurred
  `message` - description of the problem that occurred

#### ParseException

    public ParseException(int position,
                  String message,
                  Throwable cause)

Creates a new expression parsing exception.

Parameters:
  `position` - the position in the expression string where the problem occurred
  `message` - description of the problem that occurred
  `cause` - the underlying cause of this exception

#### ParseException

    public ParseException(int position,
                  String message)

Creates a new expression parsing exception.

Parameters:
  `position` - the position in the expression string where the problem occurred
  `message` - description of the problem that occurred